    <?php
    setlocale(LC_TIME, "de_DE.utf8");
    $kal_datum = time();
    $kal_tage_gesamt = date("t", $kal_datum);
    $kal_start_timestamp = mktime(0,0,0,date("n",$kal_datum),1,date("Y",$kal_datum));
    $kal_start_tag = date("N", $kal_start_timestamp);
    $kal_ende_tag = date("N", mktime(0,0,0,date("n",$kal_datum),$kal_tage_gesamt,date("Y",$kal_datum)));
    ?>

<!doctype html>
<html lang="de">

<head>
    <meta charset="utf-8">
    <meta name="robots" content="nofollow">
    <meta name="viewport" content="width = device-width, initial-scale = 1.0" />
    <title>Monatskalender</title>

    <style>

     #farbe_aktueller_tag {
        border: 0px solid #555555;
        border-radius: 25px; 
        padding: 0px 3px 0px 2px;
         font-size: 12px;
         font-weight:bold;
         color: #FFFFFF;
         background-color: #000000;
     }

     #farbe_vormonat {
        color: #777777;
     }

    #farbe_aktuell {
        color: #000000;
     }

    #farbe_test {
        color: #FF0000;
     }

     .ueberschrift {
         font-size: 14px;
      }

    .farbe_sonntag {
        color: #FF0000;
     }

     .kalender {
         text-align: center; 
         font-family:Helvetica, Arial, Verdana, Tahoma, sans-serif; 
         font-size: 12px;
      }

    </style>

    <table class="kalender">
     <caption><strong class="ueberschrift"><?php echo utf8_decode(strftime("%B %Y", $kal_datum)); ?></strong></caption>
      <thead>
        <tr>
          <th>Mo</th>
          <th>Di</th>
          <th>Mi</th>
          <th>Do</th>
          <th>Fr</th>
          <th>Sa</th>
          <th class="farbe_sonntag">So</th>
        </tr>
      </thead>
      <tbody>
    <?php
      for($i = 1; $i <= $kal_tage_gesamt+($kal_start_tag-1)+(7-$kal_ende_tag); $i++)
      {
        $kal_anzeige_akt_tag = $i - $kal_start_tag;
        $kal_anzeige_heute_timestamp = strtotime($kal_anzeige_akt_tag." day", $kal_start_timestamp);
        $kal_anzeige_heute_tag = date("j", $kal_anzeige_heute_timestamp);
        if(date("N",$kal_anzeige_heute_timestamp) == 1)

          echo "    <tr>\n";
        if(date("dmY", $kal_datum) == date("dmY", $kal_anzeige_heute_timestamp))
          echo "      <td id=\"farbe_aktueller_tag\" class=\"kal_aktueller_tag\">",$kal_anzeige_heute_tag,"</td>\n";
        elseif($kal_anzeige_akt_tag >= 0 AND $kal_anzeige_akt_tag < $kal_tage_gesamt)
          echo "      <td id=\"farbe_aktuell\" class=\"kal_standard_tag\">",$kal_anzeige_heute_tag,"</td>\n";
        else
          echo "      <td id=\"farbe_vormonat\" class=\"kal_vormonat_tag\">",$kal_anzeige_heute_tag,"</td>\n";
        if(date("N",$kal_anzeige_heute_timestamp) == 7)
          echo "    </tr>\n";
      }
    ?>
        </tbody>
    </table>
  </body>
</html>